using System;

namespace ValueTypeVsReferenceType
{
	class TestCode
	{
		[STAThread]
		static void Main(string[] args)
		{
			MyType obj1 = new MyType(1);
			MyType obj2 = new MyType(2);

			Console.WriteLine("Try this example first as is. Then try again after changing class to struct on MyClass");
			Console.WriteLine("Before Copying obj1 = obj2");
			Console.WriteLine("Value in obj1 is {0}", obj1.ToString());
			Console.WriteLine("Value in obj2 is {0}", obj2.ToString());

			obj1 = obj2;

			Console.WriteLine("After Copying obj1 = obj2");
			Console.WriteLine("Value in obj1 is {0}", obj1.ToString());
			Console.WriteLine("Value in obj2 is {0}", obj2.ToString());

			obj1.TheValue = 3;
			Console.WriteLine("After setting obj1.TheValue = 3");
			Console.WriteLine("Value in obj1 is {0}", obj1.ToString());
			Console.WriteLine("Value in obj2 is {0}", obj2.ToString());
		}
	}
}
